Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.labs.taskqueue
Class QueueConstants

    java.lang.Object
      com.google.appengine.api.labs.taskqueue.QueueConstants

    public final class QueueConstants

extends java.lang.Object

Describes various taskqueue limits.

Field Summary
`static java.util.regex.Pattern` | `QUEUE_NAME_PATTERN`
`static java.lang.String` | `QUEUE_NAME_REGEX`
`static java.util.regex.Pattern` | `TASK_NAME_PATTERN`
`static java.lang.String` | `TASK_NAME_REGEX`

Method Summary
`static long` | `getMaxEtaDeltaMillis()` Returns the maximum time into the future that a task may be scheduled.
`static int` | `maxQueueNameLength()` Returns the maximum length of a queue name.
`static int` | `maxTaskNameLength()` Returns the maximum length of a task name.
`static int` | `maxTaskSizeBytes()` Returns the maximum task size.
`static int` | `maxUrlLength()` Returns the maximum URL length.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TASK_NAME_REGEX

    public static final java.lang.String TASK_NAME_REGEX

### TASK_NAME_PATTERN

    public static final java.util.regex.Pattern TASK_NAME_PATTERN

### QUEUE_NAME_REGEX

    public static final java.lang.String QUEUE_NAME_REGEX

### QUEUE_NAME_PATTERN

    public static final java.util.regex.Pattern QUEUE_NAME_PATTERN

Method Detail

### maxQueueNameLength

    public static int maxQueueNameLength()

  Returns the maximum length of a queue name.

### maxTaskNameLength

    public static int maxTaskNameLength()

  Returns the maximum length of a task name.

### maxTaskSizeBytes

    public static int maxTaskSizeBytes()

  Returns the maximum task size.

### maxUrlLength

    public static int maxUrlLength()

  Returns the maximum URL length.

### getMaxEtaDeltaMillis

    public static long getMaxEtaDeltaMillis()

  Returns the maximum time into the future that a task may be scheduled.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD